Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network75.3.0.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
75.3.0.0
Broadcast address
75.3.15.255
First usable
75.3.0.1
Last usable
75.3.15.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 4B030000 · Integer 1258487808 to 1258491903
Reverse DNS zones
0.3.75.in-addr.arpa
1.3.75.in-addr.arpa
2.3.75.in-addr.arpa
3.3.75.in-addr.arpa
4.3.75.in-addr.arpa
5.3.75.in-addr.arpa
6.3.75.in-addr.arpa
7.3.75.in-addr.arpa
8.3.75.in-addr.arpa
9.3.75.in-addr.arpa
10.3.75.in-addr.arpa
11.3.75.in-addr.arpa
12.3.75.in-addr.arpa
13.3.75.in-addr.arpa
14.3.75.in-addr.arpa
15.3.75.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001011.00000011.00000000.0000000075.3.0.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network01001011.00000011.00000000.0000000075.3.0.0
Broadcast01001011.00000011.00001111.1111111175.3.15.255
Split into smaller subnets/27

75.3.0.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
175.3.0.0/2775.3.0.1 to 75.3.0.3075.3.0.3130
275.3.0.32/2775.3.0.33 to 75.3.0.6275.3.0.6330
375.3.0.64/2775.3.0.65 to 75.3.0.9475.3.0.9530
475.3.0.96/2775.3.0.97 to 75.3.0.12675.3.0.12730
575.3.0.128/2775.3.0.129 to 75.3.0.15875.3.0.15930
675.3.0.160/2775.3.0.161 to 75.3.0.19075.3.0.19130
775.3.0.192/2775.3.0.193 to 75.3.0.22275.3.0.22330
875.3.0.224/2775.3.0.225 to 75.3.0.25475.3.0.25530
975.3.1.0/2775.3.1.1 to 75.3.1.3075.3.1.3130
1075.3.1.32/2775.3.1.33 to 75.3.1.6275.3.1.6330
1175.3.1.64/2775.3.1.65 to 75.3.1.9475.3.1.9530
1275.3.1.96/2775.3.1.97 to 75.3.1.12675.3.1.12730
1375.3.1.128/2775.3.1.129 to 75.3.1.15875.3.1.15930
1475.3.1.160/2775.3.1.161 to 75.3.1.19075.3.1.19130
1575.3.1.192/2775.3.1.193 to 75.3.1.22275.3.1.22330
1675.3.1.224/2775.3.1.225 to 75.3.1.25475.3.1.25530
1775.3.2.0/2775.3.2.1 to 75.3.2.3075.3.2.3130
1875.3.2.32/2775.3.2.33 to 75.3.2.6275.3.2.6330
1975.3.2.64/2775.3.2.65 to 75.3.2.9475.3.2.9530
2075.3.2.96/2775.3.2.97 to 75.3.2.12675.3.2.12730
2175.3.2.128/2775.3.2.129 to 75.3.2.15875.3.2.15930
2275.3.2.160/2775.3.2.161 to 75.3.2.19075.3.2.19130
2375.3.2.192/2775.3.2.193 to 75.3.2.22275.3.2.22330
2475.3.2.224/2775.3.2.225 to 75.3.2.25475.3.2.25530
2575.3.3.0/2775.3.3.1 to 75.3.3.3075.3.3.3130
2675.3.3.32/2775.3.3.33 to 75.3.3.6275.3.3.6330
2775.3.3.64/2775.3.3.65 to 75.3.3.9475.3.3.9530
2875.3.3.96/2775.3.3.97 to 75.3.3.12675.3.3.12730
2975.3.3.128/2775.3.3.129 to 75.3.3.15875.3.3.15930
3075.3.3.160/2775.3.3.161 to 75.3.3.19075.3.3.19130
3175.3.3.192/2775.3.3.193 to 75.3.3.22275.3.3.22330
3275.3.3.224/2775.3.3.225 to 75.3.3.25475.3.3.25530
3375.3.4.0/2775.3.4.1 to 75.3.4.3075.3.4.3130
3475.3.4.32/2775.3.4.33 to 75.3.4.6275.3.4.6330
3575.3.4.64/2775.3.4.65 to 75.3.4.9475.3.4.9530
3675.3.4.96/2775.3.4.97 to 75.3.4.12675.3.4.12730
3775.3.4.128/2775.3.4.129 to 75.3.4.15875.3.4.15930
3875.3.4.160/2775.3.4.161 to 75.3.4.19075.3.4.19130
3975.3.4.192/2775.3.4.193 to 75.3.4.22275.3.4.22330
4075.3.4.224/2775.3.4.225 to 75.3.4.25475.3.4.25530
4175.3.5.0/2775.3.5.1 to 75.3.5.3075.3.5.3130
4275.3.5.32/2775.3.5.33 to 75.3.5.6275.3.5.6330
4375.3.5.64/2775.3.5.65 to 75.3.5.9475.3.5.9530
4475.3.5.96/2775.3.5.97 to 75.3.5.12675.3.5.12730
4575.3.5.128/2775.3.5.129 to 75.3.5.15875.3.5.15930
4675.3.5.160/2775.3.5.161 to 75.3.5.19075.3.5.19130
4775.3.5.192/2775.3.5.193 to 75.3.5.22275.3.5.22330
4875.3.5.224/2775.3.5.225 to 75.3.5.25475.3.5.25530
4975.3.6.0/2775.3.6.1 to 75.3.6.3075.3.6.3130
5075.3.6.32/2775.3.6.33 to 75.3.6.6275.3.6.6330
5175.3.6.64/2775.3.6.65 to 75.3.6.9475.3.6.9530
5275.3.6.96/2775.3.6.97 to 75.3.6.12675.3.6.12730
5375.3.6.128/2775.3.6.129 to 75.3.6.15875.3.6.15930
5475.3.6.160/2775.3.6.161 to 75.3.6.19075.3.6.19130
5575.3.6.192/2775.3.6.193 to 75.3.6.22275.3.6.22330
5675.3.6.224/2775.3.6.225 to 75.3.6.25475.3.6.25530
5775.3.7.0/2775.3.7.1 to 75.3.7.3075.3.7.3130
5875.3.7.32/2775.3.7.33 to 75.3.7.6275.3.7.6330
5975.3.7.64/2775.3.7.65 to 75.3.7.9475.3.7.9530
6075.3.7.96/2775.3.7.97 to 75.3.7.12675.3.7.12730
6175.3.7.128/2775.3.7.129 to 75.3.7.15875.3.7.15930
6275.3.7.160/2775.3.7.161 to 75.3.7.19075.3.7.19130
6375.3.7.192/2775.3.7.193 to 75.3.7.22275.3.7.22330
6475.3.7.224/2775.3.7.225 to 75.3.7.25475.3.7.25530
6575.3.8.0/2775.3.8.1 to 75.3.8.3075.3.8.3130
6675.3.8.32/2775.3.8.33 to 75.3.8.6275.3.8.6330
6775.3.8.64/2775.3.8.65 to 75.3.8.9475.3.8.9530
6875.3.8.96/2775.3.8.97 to 75.3.8.12675.3.8.12730
6975.3.8.128/2775.3.8.129 to 75.3.8.15875.3.8.15930
7075.3.8.160/2775.3.8.161 to 75.3.8.19075.3.8.19130
7175.3.8.192/2775.3.8.193 to 75.3.8.22275.3.8.22330
7275.3.8.224/2775.3.8.225 to 75.3.8.25475.3.8.25530
7375.3.9.0/2775.3.9.1 to 75.3.9.3075.3.9.3130
7475.3.9.32/2775.3.9.33 to 75.3.9.6275.3.9.6330
7575.3.9.64/2775.3.9.65 to 75.3.9.9475.3.9.9530
7675.3.9.96/2775.3.9.97 to 75.3.9.12675.3.9.12730
7775.3.9.128/2775.3.9.129 to 75.3.9.15875.3.9.15930
7875.3.9.160/2775.3.9.161 to 75.3.9.19075.3.9.19130
7975.3.9.192/2775.3.9.193 to 75.3.9.22275.3.9.22330
8075.3.9.224/2775.3.9.225 to 75.3.9.25475.3.9.25530
8175.3.10.0/2775.3.10.1 to 75.3.10.3075.3.10.3130
8275.3.10.32/2775.3.10.33 to 75.3.10.6275.3.10.6330
8375.3.10.64/2775.3.10.65 to 75.3.10.9475.3.10.9530
8475.3.10.96/2775.3.10.97 to 75.3.10.12675.3.10.12730
8575.3.10.128/2775.3.10.129 to 75.3.10.15875.3.10.15930
8675.3.10.160/2775.3.10.161 to 75.3.10.19075.3.10.19130
8775.3.10.192/2775.3.10.193 to 75.3.10.22275.3.10.22330
8875.3.10.224/2775.3.10.225 to 75.3.10.25475.3.10.25530
8975.3.11.0/2775.3.11.1 to 75.3.11.3075.3.11.3130
9075.3.11.32/2775.3.11.33 to 75.3.11.6275.3.11.6330
9175.3.11.64/2775.3.11.65 to 75.3.11.9475.3.11.9530
9275.3.11.96/2775.3.11.97 to 75.3.11.12675.3.11.12730
9375.3.11.128/2775.3.11.129 to 75.3.11.15875.3.11.15930
9475.3.11.160/2775.3.11.161 to 75.3.11.19075.3.11.19130
9575.3.11.192/2775.3.11.193 to 75.3.11.22275.3.11.22330
9675.3.11.224/2775.3.11.225 to 75.3.11.25475.3.11.25530
9775.3.12.0/2775.3.12.1 to 75.3.12.3075.3.12.3130
9875.3.12.32/2775.3.12.33 to 75.3.12.6275.3.12.6330
9975.3.12.64/2775.3.12.65 to 75.3.12.9475.3.12.9530
10075.3.12.96/2775.3.12.97 to 75.3.12.12675.3.12.12730
10175.3.12.128/2775.3.12.129 to 75.3.12.15875.3.12.15930
10275.3.12.160/2775.3.12.161 to 75.3.12.19075.3.12.19130
10375.3.12.192/2775.3.12.193 to 75.3.12.22275.3.12.22330
10475.3.12.224/2775.3.12.225 to 75.3.12.25475.3.12.25530
10575.3.13.0/2775.3.13.1 to 75.3.13.3075.3.13.3130
10675.3.13.32/2775.3.13.33 to 75.3.13.6275.3.13.6330
10775.3.13.64/2775.3.13.65 to 75.3.13.9475.3.13.9530
10875.3.13.96/2775.3.13.97 to 75.3.13.12675.3.13.12730
10975.3.13.128/2775.3.13.129 to 75.3.13.15875.3.13.15930
11075.3.13.160/2775.3.13.161 to 75.3.13.19075.3.13.19130
11175.3.13.192/2775.3.13.193 to 75.3.13.22275.3.13.22330
11275.3.13.224/2775.3.13.225 to 75.3.13.25475.3.13.25530
11375.3.14.0/2775.3.14.1 to 75.3.14.3075.3.14.3130
11475.3.14.32/2775.3.14.33 to 75.3.14.6275.3.14.6330
11575.3.14.64/2775.3.14.65 to 75.3.14.9475.3.14.9530
11675.3.14.96/2775.3.14.97 to 75.3.14.12675.3.14.12730
11775.3.14.128/2775.3.14.129 to 75.3.14.15875.3.14.15930
11875.3.14.160/2775.3.14.161 to 75.3.14.19075.3.14.19130
11975.3.14.192/2775.3.14.193 to 75.3.14.22275.3.14.22330
12075.3.14.224/2775.3.14.225 to 75.3.14.25475.3.14.25530
12175.3.15.0/2775.3.15.1 to 75.3.15.3075.3.15.3130
12275.3.15.32/2775.3.15.33 to 75.3.15.6275.3.15.6330
12375.3.15.64/2775.3.15.65 to 75.3.15.9475.3.15.9530
12475.3.15.96/2775.3.15.97 to 75.3.15.12675.3.15.12730
12575.3.15.128/2775.3.15.129 to 75.3.15.15875.3.15.15930
12675.3.15.160/2775.3.15.161 to 75.3.15.19075.3.15.19130
12775.3.15.192/2775.3.15.193 to 75.3.15.22275.3.15.22330
12875.3.15.224/2775.3.15.225 to 75.3.15.25475.3.15.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses